<template>
  <div
    tabIndex="0"
    class="dibs--btn"
    @click="clicked"
    @keyup.enter="clicked"
    @keyup.space="clicked"
  >
    {{ label }}
    <div v-if="picto" class="dibs--btn--picto">
      <template v-if="picto == 'forward'">
        <dibs-picto-forward />
      </template>
    </div>
  </div>
</template>
<script>
// import Foo from "~/components/foo.vue";
export default {
  components: {
    // Foo
  },
  props: {
    goto: {
      type: [String],
      required: false,
      default: null,
    },
    label: {
      type: [String],
      required: true,
    },
    picto: {
      type: [String],
      default: null,
      required: false,
    },
  },
  data() {
    return {}
  },
  methods: {
    clicked: function () {
      if (this.goto) {
        this.$router.push(this.goto)
      }
    },
  },
}
</script>
<style></style>
